#
# spec file for package libjpeg-turbo
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libjpeg-turbo
Version:        1.0.1
Release:        6.1
Summary:        A MMX/SSE2 accelerated library for manipulating JPEG image files
License:        BSD-3-Clause
Group:          Productivity/Graphics/Convertors
Url:            http://sourceforge.net/projects/libjpeg-turbo
BuildRequires:  gcc-c++
BuildRequires:  nasm
Provides:       jpeg = %{version}
Obsoletes:      jpeg
Conflicts:      jpeg8
Source0:        %{name}-%{version}.tar.bz2
Source1:        baselibs.conf 
Patch0:         %{name}-%{version}-int32.patch
Patch1:         %{name}-%{version}-tiff-ojpeg.patch
Patch2:         %{name}-%{version}-jpegtran.patch
Patch3:         %{name}-%{version}-rh639672.patch
Patch4:         libjpeg-turbo-1.0.1-CVE-2012-2806.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The libjpeg-turbo package contains a library of functions for manipulating
JPEG images.

%package -n libjpeg62

Summary:        The MMX/SSE accelerated JPEG compression/decompression library
Group:          System/Libraries
Version:        62.0.0
Release:        6.1
Provides:       libjpeg6 = %{version}
Obsoletes:      libjpeg6
# bug437293
%ifarch ppc64
Obsoletes:      libjpeg-64bit
%endif
#

%description -n libjpeg62
This library contains MMX/SSE accelerated functions for manipulating
JPEG images.


Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

%package -n libjpeg62-devel
Summary:        Development Tools for applications which will use the Libjpeg Library
Group:          Development/Libraries/C and C++
Version:        62.0.0
Release:        6.1
Requires:       libjpeg62 = %{version}
Provides:       libjpeg-devel = %{version}
Obsoletes:      libjpeg-devel
Conflicts:      libjpeg8-devel
# bug437293
%ifarch ppc64
Obsoletes:      libjpeg-devel-64bit
%endif
#

%description -n libjpeg62-devel
The libjpeg-devel package includes the header files and libraries
necessary for compiling and linking programs which will manipulate JPEG
files using the libjpeg library.



%prep
%setup -q 
%patch0
%patch1
%patch2
%patch3 -p1
%patch4

%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}

%check
make test libdir=%{_libdir}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Fix perms
chmod -x README-turbo.txt
# Remove unwanted files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{,turbo}jpeg.la
# Don't distribute libjpegturbo because it is unversioned
rm -f $RPM_BUILD_ROOT%{_includedir}/turbojpeg.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libturbojpeg.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libjpeg62 -p /sbin/ldconfig

%postun -n libjpeg62 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README README-turbo.txt change.log ChangeLog.txt LGPL.txt LICENSE.txt
/usr/bin/*
%doc %{_mandir}/man1/*

%files -n libjpeg62
%defattr(-,root,root)
%{_libdir}/libjpeg.so.62.0.0
%{_libdir}/libjpeg.so.62

%files -n libjpeg62-devel
%defattr(-,root,root)
/usr/include/*.h
%{_libdir}/libjpeg.so
%doc coderules.doc jconfig.doc libjpeg.doc structure.doc example.c

%changelog
* Mon Jul 23 2012 pgajdos@suse.com
- fixed heap overflow [bnc#771791]
  * CVE-2012-2806.patch
* Fri Dec 10 2010 pgajdos@novell.com
- this jpeg version will be the default to the prejudice of jpeg8
  from now on
* Sun Nov  7 2010 prusnak@opensuse.org
- created package based on Fedora one (v 1.0.1)
